import Phi.Types
import Phi.Widget
import Phi.Panel
import Phi.Border
import Phi.X11
import Phi.Widgets.Clock

main :: IO ()
main = do
  runPhi defaultXConfig defaultPanelConfig { panelPosition = Bottom }
    [border border1 [border border3 [], border border3 []], border border2 [], border brightBorder [theClock]]
    where
      theClock = clock defaultClockConfig { clockFormat = "<span font='Sans 8'>%R</span>\n<span font='Sans 6'>%A %d %B</span>"
                                          , lineSpacing = (-2)
                                          , clockSize = 75
                                          }
      brightBorder = BorderConfig (simpleBorderWidth 1) 1 (BorderWidth (-2) 3 0 3) (0.5, 0.5, 0.5, 0.65) (0.85, 0.85, 0.85, 0.8) 5 0
      border1 = BorderConfig (simpleBorderWidth 1) 1 (simpleBorderWidth 2) (1, 1, 1, 0.5) (0.25, 0.25, 0.25, 0.5) 7 2
      border2 = BorderConfig (simpleBorderWidth 1) 1 (simpleBorderWidth 2) (1, 1, 1, 0.5) (0.5, 0.0, 0.25, 0.5) 7 1
      border3 = BorderConfig (simpleBorderWidth 0) 1 (simpleBorderWidth 2) (1, 1, 1, 0.5) (0.0, 0.0, 0.5, 0.5) 3 1
